import sys
import os
sys.path.append(os.path.join(os.path.dirname(__file__), "../"))

from Crypto import Random
from util.log import logfile_path


logconfig = logfile_path(debug=False)

bind = 'unix:/tmp/gunicorn_web.sock'
workers = 2
worker_class = 'gevent'
pythonpath = '.'
preload_app = True

def post_fork(server, worker):
  # Reset the Random library to ensure it won't raise the "PID check failed." error after
  # gunicorn forks.
  Random.atfork()
